org.apache.ignite.calcite

## Class CalciteQueryEngineConfiguration

- java.lang.Object
- - org.apache.ignite.calcite.CalciteQueryEngineConfiguration

- All Implemented Interfaces:
    QueryEngineConfiguration, org.apache.ignite.internal.processors.query.QueryEngineConfigurationEx

      public class CalciteQueryEngineConfiguration
      extends Object
      implements org.apache.ignite.internal.processors.query.QueryEngineConfigurationEx

  Query engine configuration for Calcite-based query engine.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ENGINE_NAME` Query engine name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalciteQueryEngineConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends org.apache.ignite.internal.processors.query.QueryEngine>` | `engineClass()` Query engine class.
    `String` | `engineName()` Query engine name.
    `long` | `getGlobalMemoryQuota()` Gets global heap memory quota for SQL engine.
    `long` | `getQueryMemoryQuota()` Gets per-query heap memory quota.
    `boolean` | `isDefault()` Is this query engine should be used by default.
    `CalciteQueryEngineConfiguration` | `setDefault(boolean isDflt)` Sets whether this query engine should be used by default.
    `CalciteQueryEngineConfiguration` | `setGlobalMemoryQuota(long globalMemoryQuota)` Sets global heap memory quota for SQL engine.
    `CalciteQueryEngineConfiguration` | `setQueryMemoryQuota(long qryMemoryQuota)` Sets per-query heap memory quota.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENGINE_NAME

          public static final String ENGINE_NAME

      Query engine name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CalciteQueryEngineConfiguration

          public CalciteQueryEngineConfiguration()

  - ### Method Detail

    - #### engineName

          public String engineName()

      Query engine name.
      Specified by:
        `engineName` in interface `org.apache.ignite.internal.processors.query.QueryEngineConfigurationEx`

    - #### engineClass

          public Class<? extends org.apache.ignite.internal.processors.query.QueryEngine> engineClass()

      Query engine class.
      Specified by:
        `engineClass` in interface `org.apache.ignite.internal.processors.query.QueryEngineConfigurationEx`

    - #### isDefault

          public boolean isDefault()

      Is this query engine should be used by default.
      Specified by:
        `isDefault` in interface `QueryEngineConfiguration`
      Returns:
        `True` if this query engine is default.

    - #### setDefault

          public CalciteQueryEngineConfiguration setDefault(boolean isDflt)

      Sets whether this query engine should be used by default.

      There can be only one query engine configuration with the default flag.

      If there is no configuration with the default flag, the query engine provided by the ignite-indexing module will be used by default (if configured). If there is no configuration for the ignite-indexing module engine exists, the first engine from the query engines configuration will be used.

      Specified by:
        `setDefault` in interface `QueryEngineConfiguration`
      Parameters:
        `isDflt` - `True` if this query engine should be used by default.
      Returns:
        `this` for chaining.

    - #### getGlobalMemoryQuota

          public long getGlobalMemoryQuota()

      Gets global heap memory quota for SQL engine.
      Returns:
        Global heap memory quota for SQL engine.

    - #### setGlobalMemoryQuota

          public CalciteQueryEngineConfiguration setGlobalMemoryQuota(long globalMemoryQuota)

      Sets global heap memory quota for SQL engine.
      Parameters:
        `globalMemoryQuota` - Global heap memory quota for SQL engine.
      Returns:
        `this` for chaining.

    - #### getQueryMemoryQuota

          public long getQueryMemoryQuota()

      Gets per-query heap memory quota.
      Returns:
        Per-query heap memory quota.

    - #### setQueryMemoryQuota

          public CalciteQueryEngineConfiguration setQueryMemoryQuota(long qryMemoryQuota)

      Sets per-query heap memory quota.
      Parameters:
        `qryMemoryQuota` - Per-query heap memory quota.
      Returns:
        `this` for chaining.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023